# coding:utf-8
class AppObject:
    """
    应用类，包括：
    应用名，应用ID，应用命令，应用图标，应用位置，应用的可用性
    """
    def __init__(self,appName_,appID_):  # api
        self.appName=appName_    # 界面显示 应用名称
        self.appID  =appID_      # 应用Id 唯一标示
        self.appCommand=''       # RDP_app启动命令

        self.appPositon=0        # 应用位置
        self.appIcon=''          # 图片名称
        self.enable=True         # 应用状态

    def getAppName(self):
        return self.appName
    
    def getAppID(self):
        return self.appID
    
    def setAppCommand(self,appCommand_):        #api
        self.appCommand=appCommand_
    def getAppCommand(self):
        return self.appCommand
    
    def setAppPosition(self,position):          #api
        self.appPositon=position
    def getAppPosition(self):
        return self.appPositon
    
    def setAppIcon(self,icon):              #api
        self.appIcon=icon
    def getAppIcon(self):
        return self.appIcon
    
    def setAppEnable(self,enable_):         #api
        self.enable=enable_
    def getAppEnable(self):
        return self.enable